%define __libtoolize /bin/true

Summary:	A background list editor for Xfce
Name: 		xfce-bglist-editor
Version: 	4.2.0
Release: 	1mdk
License:	GPL
URL: 		http://www.xfce.org
Source0: 	xfce4-bglist-editor-%{version}.tar.bz2
Group:		Graphical desktop/Xfce
BuildRoot: 	%{_tmppath}/%{name}-root
BuildRequires:	libxfcegui4-devel
BuildRequires:	libgdk_pixbuf2.0-devel 

%description
A background list editor for Xfce4 
 
%prep
%setup -q -n xfce4-bglist-editor-%{version}

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 

mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}):\
	command="xfce4-bglist-editor" \
	icon="graphics_section.png" \
	title="Xfce-bglist-editor" \
	longtitle="Background editor for Xfce" \
	needs="x11" \
	section="Multimedia/Graphics"
EOF

%post
%update_menus
 
%postun
%clean_menus  


%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL 
%{_bindir}/* 
%{_menudir}/%{name} 


%changelog
* Wed Jul 27 2005 Marcel Pol <mpol@mandriva.org> 4.2.0-1mdk
- 4.2.0
- fix longtitle in menu
- don't run libtoolize

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 4.1.9-2mdk
- group: Graphical desktop/Xfce

* Fri Nov 19 2004 Charles A Edwards <eslrahc@bellsouth.net> 4.1.9-1mdk
- first Mdk release 
